package tools.descartes.dql.connector.kieker.structures;

import java.util.HashSet;
import java.util.Set;

import tools.descartes.dql.connector.kieker.structures.identifier.ResourceIdentifier;

public class Resource {

	private Set<ResourceIdentifier> resourceIdentifiers;

	private String name;
	
	public Resource(String name) {
		this.resourceIdentifiers = new HashSet<ResourceIdentifier>();
		this.name = name;
	}
	
	public void addResourceIdentifier(ResourceIdentifier componentIdentifier){
		resourceIdentifiers.add(componentIdentifier);
	}
	
	public Set<ResourceIdentifier> getResourceIdentifiers() {
		return resourceIdentifiers;
	}

	public String getName() {
		return name;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Resource other = (Resource) obj;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		return true;
	}

}
